extend ../../../../ComponentesPug/FormulariosSinListados/Plantilla.pug

block variables
    - var Titulo = "{{ tTitulo }}"

block contenido
  div.form-row
    div.form-group.col-12.col-lg-8
      app-fw-colecciones-cabecera([(Coleccion)]="tColeccionActual",
                                  [Empresa]="tEmpresaActual",
                                  [BloquearBuscar]="tBloquearBuscar",
                                  [Editar]="tEditar",
                                  [Estatus]="tEstatus",
                                  [TiposDesc]="tTiposDescuento",
                                  (Buscar)="BuscarColeccion($event)",
                                  (AbrirModal)="AbrirModalColecciones()")
    div.form-group.col-12.col-lg-4
      app-fw-colecciones-total([(Coleccion)]="tColeccionActual")
  div.form-row
    div.form-group.col-12
      ul(role="tablist").nav.nav-tabs
        li.nav-item
          a(data-toggle="tab",
              href="#Articulos",
              role="tab",
              aria-controls="Articulos",
              aria-selected="true")#Articulos-tab.nav-link.active Artículos
  div.form-row
    div.form-group.col-12
      div.tab-content#mvDatos
        div(role="tabpanel", aria-labelledby="Articulos-tab").tab-pane.fade.show.active#Articulos
          div.form-row
            div.form-group.col-12.col-lg-4
              app-fw-colecciones-articulo([(Articulo)]="tArticuloActual",
                                          [(Inventario)]="tArticuloInv",
                                          [(Coleccion)]="tColeccionActual",
                                          [(InventarioActual)]="tArticuloInvActual",
                                          [Empresa]="tEmpresaActual",
                                          [Usuario]="tUsuarioActual",
                                          [Nuevo]="tNuevo",
                                          (AbrirModal)="AbrirModalArticulos()",
                                          (AgregarArticulo)="Agregar_Articulo_Coleccion($event)")
            div.form-group.col-12.col-lg-8
              app-fw-colecciones-articulos([(Coleccion)]="tColeccionActual",
                                          [(InventarioActual)]="tArticuloInvActual",
                                          [Nuevo]="tNuevo",
                                          [Usuario]="tUsuarioActual",
                                          (EliminarArticulo)="Eliminar_Articulo_Coleccion($event)")
  div.form-row
    div.form-group.col-12.d-flex.justify-content-end
      div(role="toolbar",
          aria-label="Toolbar with button groups").btn-toolbar
        div(role="group").btn-group.mr-1
          button(type="button", (click)="Cancelar()").btn.btn-secondary.btn-icon-split
            span.icon.text-white-50
              i.fas.fa-times
            span.text Cancelar
        div(role="group").btn-group.mr-1
          button(type="button", (click)="Eliminar()", [disabled]="!tHabilitarEliminar").btn.btn-danger.btn-icon-split
            span.icon.text-white-50
              i.fas.fa-trash-alt
            span.text Eliminar
        div(role="group").btn-group.mr-1
          button(type="button", (click)="Agregar()", [disabled]="!tHabilitarGuardar").btn.btn-primary.btn-icon-split
            span.icon.text-white-50
              i.fas.fa-save
            span.text Guardar
